## Package Win32::GUI::Font

Back to the Packages

- Constructor

  - new Win32::GUI::Font(%OPTIONS)

- Methods

  - GetMetrics()

  - Info()

### Constructor

new Win32::GUI::Font(%OPTIONS)

  Creates a new Font object. `%OPTIONS` are:

        -size
        -height
        -width
        -escapement
        -orientation
        -weight
        -bold => 0/1
        -italic => 0/1
        -underline => 0/1
        -strikeout => 0/1
        -charset
        -outputprecision
        -clipprecision
        -family
        -quality
        -name
        -face

### Methods

GetMetrics()

  Returns an associative array of information about the Font:

       -height
       -ascent
       -descent
       -ileading
       -eleading
       -avgwidth
       -maxwidth
       -overhang
       -aspectx
       -aspecty
       -firstchar
       -lastchar
       -breakchar
       -italic
       -underline
       -strikeout
       -flags
       -charset

Info()

  Returns an associative array of information about the Font, with the same options given when creating the font.